Date Picker dropdown failed after updating JQuery

3 posts, 1 answers
  1. Stephen
    Stephen avatar
    2 posts
    Member since:
    Jan 2017

    Posted 05 Jan Link to this post

    The date picker dropdown was working correctly until I updated JQuery from version 2.2.3 to 3.1.1.  Now I'm getting this error when clicking on the date picker dropdown icon: 

    jquery?v=o2U6t4rMgqClQ3uJM8HbPM_wIXeGzahdJeO9fh-Xrbs1:1 Uncaught TypeError: r.getClientRects is not a function
        at s.fn.init.offset (jquery?v=o2U6t4rMgqClQ3uJM8HbPM_wIXeGzahdJeO9fh-Xrbs1:1)
        at init._position (kendo-js?v=uA5K1yopyLG1t7MMuD-Uelq9fONL8E_b_NOc9fe9Trw1:1)
        at init.open (kendo-js?v=uA5K1yopyLG1t7MMuD-Uelq9fONL8E_b_NOc9fe9Trw1:1)
        at l.open (kendo-js?v=uA5K1yopyLG1t7MMuD-Uelq9fONL8E_b_NOc9fe9Trw1:1)
        at l.toggle (kendo-js?v=uA5K1yopyLG1t7MMuD-Uelq9fONL8E_b_NOc9fe9Trw1:1)
        at init._click (kendo-js?v=uA5K1yopyLG1t7MMuD-Uelq9fONL8E_b_NOc9fe9Trw1:1)
        at HTMLSpanElement.r (jquery?v=o2U6t4rMgqClQ3uJM8HbPM_wIXeGzahdJeO9fh-Xrbs1:1)
        at HTMLSpanElement.dispatch (jquery?v=o2U6t4rMgqClQ3uJM8HbPM_wIXeGzahdJeO9fh-Xrbs1:1)
        at HTMLSpanElement.a.handle (jquery?v=o2U6t4rMgqClQ3uJM8HbPM_wIXeGzahdJeO9fh-Xrbs1:1)

    Any help is appreciated.

     

    Stephen Lee

     

  2. Stephen
    Stephen avatar
    2 posts
    Member since:
    Jan 2017

    Posted 05 Jan in reply to Stephen Link to this post

    Here is a better error message:

    jquery-3.1.1.js:9960 Uncaught TypeError: elem.getClientRects is not a function
        at E.fn.init.offset (jquery-3.1.1.js:9960)
        at init._position (kendo.custom.min.js:3)
        at init.open (kendo.custom.min.js:3)
        at j.open (kendo.custom.min.js:3)
        at j.toggle (kendo.custom.min.js:3)
        at init._click (kendo.custom.min.js:3)
        at HTMLSpanElement.proxy (jquery-3.1.1.js:502)
        at HTMLSpanElement.dispatch (jquery-3.1.1.js:5201)
        at HTMLSpanElement.elemData.handle (jquery-3.1.1.js:5009)

  3. Answer
    Dimiter Topalov
    Admin
    Dimiter Topalov avatar
    625 posts

    Posted 09 Jan Link to this post

    Hello Stephen,

    I answered the support thread on the same topic, but will also paste the answer here, so others can benefit as well:

    The support for jQuery 3.1.1 version was introduced in our latest official release (2016.3.1118 a.k.a 2016 Q3 SP2):

    http://docs.telerik.com/kendo-ui/intro/installation/prerequisites#supported-jquery-versions

    Upgrading to the current Kendo UI version should resolve the issue:

    http://dojo.telerik.com/oPoLa

    Regards,
    Dimiter Topalov
    Telerik by Progress
    Try our brand new, jQuery-free Angular 2 components built from ground-up which deliver the business app essential building blocks - a grid component, data visualization (charts) and form elements.
Back to Top